Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
Class SimpleMessage

A base class for compilation messages.

author:
  Chris Poirier

version:
  $Id: SimpleMessage.java 6778 2007-07-02 10:40:33Z glaforge $

Field Summary
`Object` | `data`
`String` | `message`
`ProcessingUnit` | `owner`

Constructor Summary
`SimpleMessage(String message, ProcessingUnit source)`
`SimpleMessage(String message, Object data, ProcessingUnit source)`

Method Summary
`String` | `getMessage()`
`void` | `write(PrintWriter writer, Janitor janitor)`

Constructor Detail

### SimpleMessage

    public SimpleMessage(String message, ProcessingUnit source)

### SimpleMessage

    public SimpleMessage(String message, Object data, ProcessingUnit source)

Method Detail

### getMessage

    public String getMessage()

### write

    public void write(PrintWriter writer, Janitor janitor)